# Ogre::TextureFrameControllerValue Class Reference
General

Predefined controller value for getting / setting the frame number of a texture layer. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::TextureFrameControllerValue:
[legend]

List of all members.

## Public Member Functions

| TextureFrameControllerValue (TextureUnitState *t)
Real | getValue (void) const
| Gets the frame number as a parametric value in the range [0,1].
void | setValue (Real value)
| Sets the frame number as a parametric value in the range [0,1]; the actual frame number is value * (numFrames-1).
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Protected Attributes

TextureUnitState * | mTextureLayer

## Detailed Description

Predefined controller value for getting / setting the frame number of a texture layer.

Definition at line 76 of file OgrePredefinedControllers.h.

## Constructor & Destructor Documentation

Ogre::TextureFrameControllerValue::TextureFrameControllerValue | ( | TextureUnitState * | t | ) |

## Member Function Documentation

Real Ogre::TextureFrameControllerValue::getValue | ( | void |  | ) | const`[virtual]`

Gets the frame number as a parametric value in the range [0,1].

Implements Ogre::ControllerValue< Real >.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

void Ogre::TextureFrameControllerValue::setValue | ( | Real | value | ) | `[virtual]`

Sets the frame number as a parametric value in the range [0,1]; the actual frame number is value * (numFrames-1).

Implements Ogre::ControllerValue< Real >.

## Member Data Documentation

TextureUnitState* Ogre::TextureFrameControllerValue::mTextureLayer`[protected]`

Definition at line 79 of file OgrePredefinedControllers.h.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:15